@import './variables';

.posts__container {
  margin-bottom: 70px;
}

.posts__title:before {
  content: '-';
}

.posts__image-information-container{
  display: flex;
  flex-direction: column;

  @media (min-width: $width-480) {
    margin-left: 21px;
    margin-right: 21px;
  }

  @media (min-width: $width-992) {
    margin-left: 21px;
    margin-right: 21px;
  }
}

.posts__image-title {
  display: block;
  margin-top: 11px;
  font-size: 14px;
  line-height: 30px;
  color: $grey_xl;
  font-weight: 700;

  @media (min-width: $width-480) {
    margin-top: 0;
  }

  @media (min-width: $width-768) {
    font-size: 16px;
  }
}

.instagram__link-to-instagram {
  font-size: 13px;
}

.posts_list {
  @media (min-width: $width-992) {
    display: flex;
    flex-wrap: wrap;
  }
}

.posts__item {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  @media (min-width: $width-480) {
  flex-direction: row;
  }
}

.posts__image-attributes {
  margin-bottom: 29px;
  display: flex;
  font-size: 11px;
  color: $grey_l;
  line-height: 20px;
  gap: 12px;

  @media (min-width: $width-480) {
    margin-bottom: 13px;
  }

  @media (min-width: $width-768) {
    font-size: 12px;
  }
}

.posts__picture {
  @media (min-width: $width-480) {
    margin-bottom: 32px;
  }
}

.posts__image-type:after {
  content: ',';
}

.posts__comment-count:after {
  content: ' Comments';
}

.posts__image-description {
  display: none;
  max-width: 600px;

  @media (min-width: $width-480) {
    display: block;
    margin-bottom: 30px;
  }
  @media (min-width: $width-992) {
    max-width: 270px;
  }

  @media (min-width: $width-1024) {
    max-width: 285px;
  }

  @media (min-width: $width-1200) {
    max-width: 370px;
  }
}

.posts__text-stretch {
  color: $grey_x;
  text-align: justify;
}
